Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The GNU Core Utilities the basic file, shell and text manipulation utilities.
Name:      	coreutils
Version:   	6.12
Release:   	2
License: 	GNU/GPL
URL:		http://www.gnu.org/software/coreutils/
Group:     	System/Base 
Source0: 	%{name}-%{version}.tar.gz
Patch0:		coreutils-6.9-uname-1.patch
Patch1:		coreutils-6.9-suppress_uptime_kill_su-1.patch
Patch2:		coreutils-6.9-i18n-1.patch
Patch3: 	coreutils-4.5.3-sysinfo.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
# mktemp is now in upstream coreutils - no seperate package needed anymore
Provides: 	mktemp = %{version}-%{release}
Obsoletes: 	mktemp < %{version}-%{release}

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The GNU Core Utilities are the basic file, shell and text manipulation
utilities of the GNU operating system. These are the core utilities
which are expected to exist on every operating system. 
Previously these utilities were offered as three individual sets of
GNU utilities, fileutils, shellutils, and textutils.
Those three have been combined into a single set of utilities
called the coreutils.

%post
/sbin/install-info %_infodir/coreutils.info.gz %_infodir/dir
ldconfig

%postun
ldconfig

 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %_infodir/coreutils.info.gz %_infodir/dir 
fi 

%prep
%setup -n %{name}-%{version}
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1

%build
DEFAULT_POSIX2_VERSION=199209 %configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/bin
install -m 755 -d $RPM_BUILD_ROOT%_sbindir
mv $RPM_BUILD_ROOT%_bindir/{[,basename,cat,chgrp,chmod,chown,cp,dd,df} $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%_bindir/{date,echo,false,head,install,ln} $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%_bindir/{ls,mkdir,mknod,mv,pwd,rm,rmdir,sync} $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%_bindir/{sleep,stty,mktemp,test,touch,true,uname} $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%_bindir/chroot $RPM_BUILD_ROOT%_sbindir
# mv $RPM_BUILD_ROOT/locale $RPM_BUILD_ROOT%_datadir
ln -s ../../bin/install $RPM_BUILD_ROOT/usr/bin
ln -s ../../bin/test $RPM_BUILD_ROOT/usr/bin
# we are using kill from the procps package

rm -rf $RPM_BUILD_ROOT/usr/share/man/man1/kill.1.gz
# we are using uptime from the procps package
rm -rf $RPM_BUILD_ROOT/usr/bin/uptime
rm -rf $RPM_BUILD_ROOT/usr/share/man/man1/uptime.1.gz

%files
%defattr(-,root,root)
#exclude for now, net-tools provides this, needs to be checked
/bin
%_sbindir/chroot
%_bindir
%_mandir
%_locale
%_infodir
#%exclude %_infodir/dir
%exclude /usr/share/man/man1/uptime.1.gz
%exclude /usr/share/man/man1/kill.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 20 2008 Christian Metzen <metzench@ccux-linux.de> 6.12-2
- moved test and mktemp locations
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.12-1
- Version update
* Sun May 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.11-1
- Version update
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.10-1
- Version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.9-1
- Version update
* Sun Dec 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.7-1
- Version update
* Fri Oct 06 2006 Christian Metzen <metzench@ccux-linux.de> 6.3-1
- Version update
* Sun Jun 25 2006 Christian Metzen <metzench@ccux-linux.de> 5.97-1
- Version update
* Sat May 27 2006 Christian Metzen <metzench@ccux-linux.de> 5.96-1
- Version update
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 5.95-1
- Version update
* Sat Feb 18 2006 Christian Metzen <metzench@ccux-linux.de> 5.94-1
- Version update
* Sun Nov 06 2005 Christian Wasem <wasem@ccux-linux.de> 5.93-1
- Version update
* Sun Nov 06 2005 Christian Metzen <metzench@ccux-linux.de> 5.92-1
- Version update
* Wed Jul 06 2005 Christian Metzen <metzench@ccux-linux.de> 5.2.1-4
- Moved files to proper Locations, made the package FHS compatibly again
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 5.2.1-3
- rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 5.2.1-2
- Initial Release
